python-hyphy_2.2.6+dfsg-3build3_amd64.deb


Advertisement

Description

python-hyphy - Hypothesis testing using Phylogenies (Python 2 module)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-hyphy
Package version: 2.2.6+dfsg
Package release: 3build3
Package architecture: amd64
Package type: deb
Installed size: 2.08 KB
Download size: 800.92 KB
Official Mirror: archive.ubuntu.com
HyPhy is an open-source software package for the analysis of genetic sequences using techniques in phylogenetics, molecular evolution, and machine learning. It features a complete graphical user interface (GUI) and a rich scripting language for limitless customization of analyses. Additionally, HyPhy features support for parallel computing environments (via message passing interface) and it can be compiled as a shared library and called from other programming environments such as Python or R. Continued development of HyPhy is currently supported in part by an NIGMS R01 award 1R01GM093939. This package provides files the Python 2 module.

Alternatives

    Download

    Source package: hyphy

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-hyphy deb package:
      # sudo apt-get install python-hyphy

    Files

    • /usr/lib/python2.7/dist-packages/HyPhy-0.1.1.egg-info
    • /usr/lib/python2.7/dist-packages/_HyPhy.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/HyPhy/__init__.py
    • /usr/share/doc/python-hyphy/changelog.Debian.gz
    • /usr/share/doc/python-hyphy/copyright
    • /usr/share/doc/python-hyphy/examples/HBL
    • /usr/share/doc/python-hyphy/examples/Python/BasicHyPhy.py

    Changelog

    2016-02-06 - Matthias Klose <doko@ubuntu.com> hyphy (2.2.6+dfsg-3build3) xenial; urgency=medium * No-change rebuild for openmpi on s390x.

    2016-02-01 - Matthias Klose <doko@ubuntu.com> hyphy (2.2.6+dfsg-3build2) xenial; urgency=medium * No-change rebuild for openmpi transition.

    2016-01-18 - Matthias Klose <doko@ubuntu.com> hyphy (2.2.6+dfsg-3build1) xenial; urgency=medium * No-change rebuild to drop python3.4 support.

    2015-12-30 - Andreas Tille <tille@debian.org> hyphy (2.2.6+dfsg-3) unstable; urgency=medium * Change build-dep on python3-dev to python3-all-dev to enable building for all supported python3 versions (thanks to Scott Kitterman <debian@kitterman.com> for the patch) Closes: #809452

    2015-10-26 - Andreas Tille <tille@debian.org> hyphy (2.2.6+dfsg-2) unstable; urgency=medium [ Matthias Klose ] * Hand-edit swig generated file to build with Python3.5. Closes: #802999 [ Andreas Tille ] * Remove arch specific flags Closes: #802994

    2015-09-22 - Andreas Tille <tille@debian.org> hyphy (2.2.6+dfsg-1) unstable; urgency=medium * New upstream version * Hack around a mac-ism in setup.py

    2015-07-23 - Andreas Tille <tille@debian.org> hyphy (2.2.5+dfsg-2) unstable; urgency=medium * Versioned Build-Depends: cmake (>= 3.0) * Drop profiling option (Thanks for the hint to Michael Banck <mbanck@debian.org>) Closes: #793345 * Disable unneded test that breaks on 32 bit architectures (Thanks for the hint to Jakub Wilk <jwilk@debian.org>) Closes: #793346 * Make sure that also in tests the existence of SSE3 extension is done Closes: #793344

    2015-07-11 - Andreas Tille <tille@debian.org> hyphy (2.2.5+dfsg-1) unstable; urgency=low * Initial release (Closes: #792087)

    Advertisement
    Advertisement